バージョン選択

フォーラム

メニュー

オンライン状況

23 人のユーザが現在オンラインです。 (13 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 23
もっと...

サイト内検索

プラグイン > その他 > composer installで勝手にプラグインが削除されるエラー

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
jtanaka
投稿日時: 2021/9/13 18:45
対応状況: −−−
新米
登録日: 2020/10/27
居住地:
投稿: 2
composer installで勝手にプラグインが削除されるエラー
ECCube4で
composer require ochi51/cybozu-http
を実行すると、以下のエラーが発生します。

You can not uninstall the EC-CUBE plugin via `composer` command.
Please use the `bin/console eccube:composer:remove ec-cube/eccubepaymentlite4` instead.


ec-cube/eccubepaymentlite4は、ECCubeストアで購入した一般的なプラグインで、有効化中です。
composer requireで追加しようとしているochi51/cybozu-http とは依存関係がありません。

なのに、
composer require コマンドを実行すると勝手にec-cube/eccubepaymentlite4をremoveしようとして、エラーが発生しているようです。

なぜ、勝手に削除されてしまうのか、不明なのですが、回避方法はありますでしょうか?

なお、
./composer.jsonには、ec-cube/eccubepaymentlite4 は存在していません。
app/Plugin/EccubePaymentLite4/composer.json には存在しています。


red
投稿日時: 2021/9/15 20:36
対応状況: −−−
登録日: 2010/2/15
居住地: 東京都
投稿: 1453
Re: composer installで勝手にプラグインが削除されるエラー
色々試した感じですと
bin/console eccube:composer:require-already-installed
をするといいのかなと思います


----------------
EC-CUBEのカスタマイズ、トラブル解決承ります
お気軽にお問い合わせ下さい
https://www.ec-cube.net/integrate/partner/partner.php?partner_id=690

スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

公式ストアEC-CUBE4系デザインテンプレート続々リリース中

統計情報

総メンバー数は73,047名です
総投稿数は102,095件です

投稿数ランキング

1
seasoft
7333
2
468
3073
3
AMUAMU
2712
4
nanasess
2174
5
umebius
2030
6
yuh
1612
7
red
1453
8
h_tanaka
1090
9
tsuji
936
10
fukap
907
11
shutta
835
12
tao_s
793
13 ramrun 789
14 karin 689
15 sumida 641
16
homan
633
17 DELIGHT 572
18
patapata
502
19
flealog
485
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.